=== debian/changelog ===
ros-melodic-iris-lama (1.1.0-2stretch) stretch; urgency=high

  * Expose the global localization parameters as options
  * Add option to mark free cells when there is no hit in SLAM (i.e. truncated ranges)
  * Add non-motion update trigger to location
  * Fix infinite loop in global localization
  * Use C++14
  * Fix eigen aligment issues

 -- Eurico Pedrosa <efp@ua.pt>  Sat, 05 Dec 2020 00:00:00 -0000

ros-melodic-iris-lama (1.0.0-2stretch) stretch; urgency=high

  * First official release.

 -- Eurico Pedrosa <efp@ua.pt>  Tue, 05 May 2020 00:00:00 -0000
